{
  "name": "vue-pc-admin",
  "version": "0.1.0",
  "description": "这是一个基于 vue admin 管理后台",
  "author": "caojinwei",
  "license": "NJCN",
  "scripts": {
    "dev": "vue-cli-service serve",
    "dev-zoom": "cross-env VUE_APP_ZOOM=1 vue-cli-service serve",
    "dev-cgyqr": "cross-env VUE_APP_MODE=cgyqr vue-cli-service serve",
    "dev-hbqr": "cross-env VUE_APP_MODE=cgyqr VUE_APP_HB=hbqr vue-cli-service serve",
    "dev-jbqr": "cross-env VUE_APP_MODE=jbqr vue-cli-service serve",
    "build": "vue-cli-service build",
    "build-zoom": "cross-env VUE_APP_ZOOM=1 vue-cli-service build",
    "build-hbqr": "cross-env VUE_APP_MODE=cgyqr VUE_APP_HB=hbqr vue-cli-service build",
    "build-cgyqr": "cross-env VUE_APP_MODE=cgyqr vue-cli-service build",
    "build-jbqr": "cross-env VUE_APP_MODE=jbqr vue-cli-service build",
    "preview": "node build/index.js --preview",
    "deploy-18": "cross-env VUE_APP_ZOOM=1 vue-cli-service build && ./upload_script/upload_18.sh"
  },
  "dependencies": {
    "@ckeditor/ckeditor5-vue": "^1.0.1",
    "@jiaminghi/data-view": "^2.10.0",
    "@riophae/vue-treeselect": "^0.4.0",
    "@toast-ui/editor": "^2.0.1",
    "@toast-ui/vue-editor": "^2.0.1",
    "@vue/composition-api": "^1.3.0",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-vue": "^1.0.2",
    "axios": "^0.27.2",
    "baidu-map": "^0.1.4",
    "bpmn-js": "^11.1.0",
    "bpmn-js-bpmnlint": "^0.15.0",
    "bpmnlint": "^6.4.0",
    "bpmnlint-loader": "^0.1.4",
    "codemirror": "5.39.2",
    "core-js": "^2.6.12",
    "cross-storage": "^1.0.0",
    "crypto-js": "^4.2.0",
    "deepmerge": "^4.2.2",
    "driver.js": "^0.9.8",
    "echarts": "^5.4.3",
    "echarts-gl": "^2.0.9",
    "echarts-liquidfill": "^3.1.0",
    "el-tree-transfer": "^2.4.7",
    "element-resize-detector": "^1.2.4",
    "element-ui": "^2.15.9",
    "exceljs": "^4.3.0",
    "fabric": "^5.3.0",
    "file-saver": "^2.0.5",
    "form-gen-parser": "^1.0.3",
    "highcharts": "^10.0.0",
    "highcharts-vue": "^1.4.0",
    "html2canvas": "^1.4.1",
    "jquery": "^3.6.0",
    "jquery.panzoom": "^3.2.3",
    "js-cookie": "2.2.0",
    "json2csv": "^5.0.6",
    "less": "^4.1.2",
    "less-loader": "^5.0.0",
    "lib-flexible": "^0.3.2",
    "lodash.clonedeep": "^4.5.0",
    "luckyexcel": "^1.0.1",
    "mqtt": "^4.3.6",
    "normalize.css": "7.0.0",
    "nprogress": "0.2.0",
    "path-to-regexp": "2.4.0",
    "qiniu-js": "^3.1.2",
    "qrcodejs2": "^0.0.2",
    "sanitizer": "^0.1.3",
    "screenfull": "^5.0.2",
    "session-storage-sync": "^0.6.0",
    "sortablejs": "^1.10.2",
    "spin.js": "^4.1.1",
    "sync-session-storage": "^0.0.13",
    "throttle-debounce": "^1.1.0",
    "timeline-slider-vue": "^1.0.6",
    "umy-ui": "^1.1.6",
    "v-loading-plugin": "^1.0.7",
    "vue": "2.6.10",
    "vue-baidu-map": "^0.21.22",
    "vue-drag-resize": "^1.5.4",
    "vue-echarts": "^6.6.2",
    "vue-grid-layout": "^2.3.12",
    "vue-jsonp": "^2.0.0",
    "vue-masonry": "^0.16.0",
    "vue-particles": "^1.0.9",
    "vue-resize-observer": "^2.0.16",
    "vue-router": "3.0.6",
    "vue-slider-component": "^3.2.24",
    "vue-svg-filler": "^1.0.6",
    "vuedraggable": "^2.24.3",
    "vuex": "3.1.0",
    "vxe-table": "3.6.6",
    "vxe-table-plugin-export-xlsx": "2.2.2",
    "webpack-theme-color-replacer": "^1.3.7",
    "xe-utils": "^3.5.14",
    "xlsx": "^0.15.6"
  },
  "devDependencies": {
    "@babel/core": "7.0.0",
    "@babel/plugin-proposal-nullish-coalescing-operator": "^7.18.6",
    "@babel/plugin-proposal-optional-chaining": "^7.21.0",
    "@babel/plugin-transform-modules-commonjs": "^7.9.0",
    "@babel/register": "7.0.0",
    "@vue/cli-plugin-babel": "3.6.0",
    "@vue/cli-service": "^3.12.1",
    "@vue/test-utils": "1.0.0-beta.29",
    "autoprefixer": "^9.5.1",
    "babel-core": "7.0.0-bridge.0",
    "babel-plugin-transform-es2015-modules-commonjs": "^6.26.2",
    "babel-plugin-transform-remove-console": "^6.9.4",
    "chalk": "2.4.2",
    "compression-webpack-plugin": "^3.1.0",
    "connect": "3.6.6",
    "cross-env": "^7.0.3",
    "css-properties-sorting": "^1.0.10",
    "d3": "^7.1.1",
    "default-passive-events": "^2.0.0",
    "highlight.js": "9.18.5",
    "html-webpack-plugin": "3.2.0",
    "less": "^4.1.1",
    "less-loader": "^5.0.0",
    "lint-staged": "8.1.5",
    "open": "^7.0.3",
    "postcss-loader": "^3.0.0",
    "px2rem-loader": "^0.1.9",
    "raw-loader": "^0.5.1",
    "runjs": "^4.3.2",
    "sass": "^1.62.0",
    "sass-loader": "^7.1.0",
    "sass-resources-loader": "^2.0.3",
    "script-ext-html-webpack-plugin": "2.1.3",
    "script-loader": "0.7.2",
    "serve-static": "^1.13.2",
    "stylelint": "^12.0.1",
    "stylelint-config-standard": "^20.0.0",
    "stylelint-order": "^4.1.0",
    "stylelint-scss": "^3.18.0",
    "svg-sprite-loader": "4.1.3",
    "svgo": "1.2.2",
    "vkbeautify": "^0.99.3",
    "vue-particles": "^1.0.9",
    "vue-template-compiler": "2.6.10",
    "vue2-ace-editor": "^0.0.15",
    "xcrud": "^0.4.19"
  },
  "lint-staged": {
    "src/**/*.{js,vue}": [
      "git add"
    ],
    "src/**/*.{html,vue,css,sass,scss}": [
      "stylelint --fix",
      "git add"
    ]
  },
  "engines": {
    "node": ">=8.9",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 11"
  ]
}
